import { Component } from 'react'
import Taro from '@tarojs/taro'
import store, { StoreRoot } from './store'
import './app.less'

class App extends Component {

  onLaunch(options) {
    Taro.login({
      success: (res) => {
        const { code } = res;
        const [_, login] = store.getModel('person').getState()
        login({ code })
      }
    })
  }

  // this.props.children 是将要会渲染的页面
  render () {
    return (
      <StoreRoot>
        {this.props.children}
      </StoreRoot>
    )
  }
}

export default App
